Skip to main content
GET
Query Scx Offers

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

salesChannelId
string

Id of the sales channel to restrict the list to, as returned in "SalesChannelId" of an offer. Opaque, tenant-local composite identifier (not a UUID). If omitted or empty, the offers of all sales channels are returned. A valid id of an unknown sales channel returns an empty list; an invalid id is rejected as invalid input (error code SALES_CHANNEL_ID_INVALID).

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

activeFromAfter
string<date-time>

Only include items whose ActiveFrom is after (greater than) this value.

activeFromBefore
string<date-time>

Only include items whose ActiveFrom is before (less than) this value.

expiresAtAfter
string<date-time>

Only include items whose ExpiresAt is after (greater than) this value.

expiresAtBefore
string<date-time>

Only include items whose ExpiresAt is before (less than) this value.

lastUploadedAtAfter
string<date-time>

Only include items whose LastUploadedAt is after (greater than) this value.

lastUploadedAtBefore
string<date-time>

Only include items whose LastUploadedAt is before (less than) this value.

statusReceivedAtAfter
string<date-time>

Only include items whose StatusReceivedAt is after (greater than) this value.

statusReceivedAtBefore
string<date-time>

Only include items whose StatusReceivedAt is before (less than) this value.

quantityUpdatedAtAfter
string<date-time>

Only include items whose QuantityUpdatedAt is after (greater than) this value.

quantityUpdatedAtBefore
string<date-time>

Only include items whose QuantityUpdatedAt is before (less than) this value.

priceUpdatedAtAfter
string<date-time>

Only include items whose PriceUpdatedAt is after (greater than) this value.

priceUpdatedAtBefore
string<date-time>

Only include items whose PriceUpdatedAt is before (less than) this value.

awaitingDeliveryAvailableAtAfter
string<date-time>

Only include items whose AwaitingDeliveryAvailableAt is after (greater than) this value.

awaitingDeliveryAvailableAtBefore
string<date-time>

Only include items whose AwaitingDeliveryAvailableAt is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>